org.apache.cassandra.db

## Class IndexExpression

- java.lang.Object
- - org.apache.cassandra.db.IndexExpression

    public final class IndexExpression
    extends java.lang.Object

### Field Summary

Fields
`java.nio.ByteBuffer` `column`
`Operator` `operator`
`java.nio.ByteBuffer` `value`

### Constructor Summary

Constructors
Constructor and Description
`IndexExpression(java.nio.ByteBuffer column, Operator operator, java.nio.ByteBuffer value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`boolean` `isContains()` Checks if the operator of this `IndexExpression` is a `CONTAINS` operator.
`boolean` `isContainsKey()` Checks if the operator of this `IndexExpression` is a `CONTAINS_KEY` operator.
`static IndexExpression` `readFrom(java.io.DataInput input)` Deserializes an `IndexExpression` instance from the specified input.
`java.lang.String` `toString()`
`void` `writeTo(DataOutputPlus output)` Write the serialized version of this `IndexExpression` to the specified output.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### column

    public final java.nio.ByteBuffer column

#### operator

    public final Operator operator

#### value

    public final java.nio.ByteBuffer value

### Constructor Detail

#### IndexExpression

    public IndexExpression(java.nio.ByteBuffer column,
                           Operator operator,
                           java.nio.ByteBuffer value)

### Method Detail

#### isContains

    public boolean isContains()

Checks if the operator of this `IndexExpression` is a `CONTAINS` operator.

Returns:
  `true` if the operator of this `IndexExpression` is a `CONTAINS` operator, `false` otherwise.

#### isContainsKey

    public boolean isContainsKey()

Checks if the operator of this `IndexExpression` is a `CONTAINS_KEY` operator.

Returns:
  `true` if the operator of this `IndexExpression` is a `CONTAINS_KEY` operator, `false` otherwise.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### writeTo

    public void writeTo(DataOutputPlus output)
                 throws java.io.IOException

Write the serialized version of this `IndexExpression` to the specified output.

Parameters:
  `output` - the output to write to
Throws:
  `java.io.IOException` - if an I/O problem occurs while writing to the specified output

#### readFrom

    public static IndexExpression readFrom(java.io.DataInput input)
                                    throws java.io.IOException

Deserializes an `IndexExpression` instance from the specified input.

Parameters:
  `input` - the input to read from
Returns:
  the `IndexExpression` instance deserialized
Throws:
  `java.io.IOException` - if a problem occurs while deserializing the `IndexExpression` instance.